# ITK Viewer Bootstrap User Interface

## Welcome! 

This site showcases the ITK/VTK Viewer created using the React Bootstrap interface.
![Hello World](./images/HelloWorld.gif)

This user interface was created inspired in the [PyData Sphinx Theme](https://pydata-sphinx-theme.readthedocs.io/en/stable/index.html), which is a clean Bootstrap-based theme. 
The PyData Sphinx Theme has been designed by the PyData community for more complex documentation websites. Some of the websites that use the theme include [JupyterLab](https://jupyterlab.readthedocs.io/en/latest/), [Pandas](https://pandas.pydata.org/docs/), [SciPy](https://scipy.github.io/devdocs/), and [NumPy]( https://numpy.org/doc/stable/). Its clean design inspired us to develop an ITK Viewer in the native UI of the PyData Sphinx theme. 

This site showcases the ITK/VTK Viewer created using the React Bootstrap Theme. 


### What is the ITK-VTK Viewer?

ITK/VTK Viewer is an open-source web application for medical and scientific image, mesh, and point set visualization. 
ITKWidgets 

### What is ITKWidgets?
ITKWidgets 1.0 alpha are interactive Jupyter widgets to visualize images, pointsets and meshes. Powered by ImJoy and itk-wasm, ITKWidgets 1.0 can be launched in JupyterLab, Jupyter notebooks, Google Colab and JupyterLite. For more information, please visit the [ITKWidgets documentation website](https://itkwidgets.readthedocs.io/en/latest/quick_start_guide.html). 

### How is this viewer connected to ITKWidgets 1.0 alpha?
The ITK/VTK Viewer is the backbone of ITKWidgets, so any UI created for ITK/VTK Viewer is now supported by ITKWidgets. Besides, ITK Viewer Bootstrap UI is the default interface for ITKWidgets 1.0 alpha. 


### How to contribute and customize your environment
You can find the documentation for the User Interface Customization [here](https://kitware.github.io/itk-vtk-viewer/docs/customizeUI.html). See also the Github repositories:
 - [itk-viewer-material-ui](https://github.com/InsightSoftwareConsortium/itk-viewer-material-ui), which uses [material UI](https://mui.com/);
 - [itk-viewer-bootstrap-ui](https://github.com/InsightSoftwareConsortium/itk-viewer-bootstrap-ui)  , which uses [Bootstrap UI v4.6](https://react-bootstrap-v4.netlify.app/).


## Contents:
```{toctree}
RTDContents/UserGuide/user_guide.md
RTDContents/Examples/examples.md
RTDContents/Contribute/contribute.md
```


